#
# spec file for package guayadeque
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org
#


Name:           guayadeque
Version:        0.3.7
Release:        1.5
Summary:        Guayadeque Music Player
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://guayadeque.org
Source:         http://prdownloads.sourceforge.net/guayadeque/guayadeque-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  dbus-1-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  libcurl-devel
BuildRequires:  libgnutls-devel
BuildRequires:  libgpod-devel
BuildRequires:  libtag-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-ansi-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Guayadeque is a music management program designed for all music enthusiasts. It
is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.

%prep
%setup -q
find . -type f -name CMakeCache.txt -delete

%build
install -d b
pushd b
# FIXME: you should use %%cmake macros
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    ..
make %{?_smp_mflags}
popd

%install
pushd b
make DESTDIR=%{buildroot} install %{?_smp_mflags}
popd

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%find_lang "%{name}"

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc changelog LICENSE README
%{_bindir}/guayadeque
%{_datadir}/guayadeque
%{_datadir}/applications/guayadeque.desktop
%{_datadir}/pixmaps/guayadeque.png

%changelog
* Mon Nov  2 2015 aloisio@gmx.com
- Update to version 0.3.7
  * Removed Flac library dependency. Now flac images are
    read/writen using taglib
  * Fixed compilation without external libwxsqlite support
  * Fixed audio output autoconfiguring option
  * Fixed load tracks from command line or file manager
  * Added mpris 2.2 support
  * Made Guayadeque Interface more clean
  * Removed bug that crashed guayadeque when used del in a dynamic
    playlist
  * Added TuneIn radio support
  * Added option to rename podcast channel name
  * Added option in Preferences -> Playback the option to write
    the complete output pipeline
  * Added Seeked mpris2 signal
  * Fixed amazon cover download engine
- Dropped flac-devel requirement
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- initial version (0.3.5)
